<template>
  <div class="test-view" v-show="false">
    <audio-recorder
      :attempts="3"
      :time="2"
      :before-recording="beforeRecording"
      :pause-recording="callback"
      :after-recording="afterRecording"
      :select-record="callback"
      :before-upload="callback"
      :successful-upload="callback"
      :failed-upload="callback"
      format="WAV"
    />
  </div>
</template>

<script>
export default {
  name: "audioRecording",
  props: {
    beforeRecording: {
      type: Function,
      default: () => {}
    },
    afterRecording: {
      type: Function,
      default: () => {}
    }
  },
  data() {
    return {};
  },
  methods: {
    callback() {
      // console.log(data);
    },
    start() {
      let $btn = document.getElementsByClassName("ar-icon");
      $btn[0].click();
    },
    stop() {
      let $btn = document.getElementsByClassName("ar-recorder__stop");
      $btn[0].click();
    },
    async clear() {
      let $items = document.getElementsByClassName("ar-records__record");
      for (let item of $items) {
        await new Promise((resolve, reject) => {
          try {
            item.click();
            setTimeout(() => {
              let $btns = document.getElementsByClassName("ar__rm");
              if ($btns[0]) $btns[0].click();
              resolve();
            }, 300);
          } catch (err) {
            reject(err);
          }
        });
      }
    }
  }
};
</script>
